[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: PolicyKit changes in F12



On Wed, May 13, 2009 at 09:00:46PM -0400, Matthias Clasen wrote:
> Just a heads-up:
> 
> We hope to land a new PolicyKit version (which will turn into 1.0,
> eventually) in F12 soon. The new version simplifies the API and will
> require PolicyKit-using application to be ported. For more information,
> have a look at the feature page: 
> 
> http://fedoraproject.org/wiki/Features/PolicyKitOne
> 
> It also has pointers to api docs and a (terse) porting guide. We already
> have a collection of patches for quite a few PolicyKit-using apps, so
> the transitions should be relatively painless.

  http://cgit.freedesktop.org/PolicyKit/tree/docs/PORTING-GUIDE

doesn't uindicate how to discriminate at compile time which version
we are compiling against. Please indictate in the porting doc how to
detect the installed version in configure. That's the bare minimum
when you're changing APIs in that way. We obviously need libvirt to
handle older and newer versions !

Also what does
 • No kit_* OOM handling in the new library
means ?

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]